---
updatedAt: 2026-05-13T09:03:55.000Z
---

# Return entity JWT status

Return whether a JWT exists for an entity

# Details

The first POST call to [/tokens/khorosapi/ownerId/ownerId](https://developer.khoros.com/khoroscaredevdocs/reference/tokenskhorosapiowneridownerid) generates a [JWT](https://developer.khoros.com/khoroscaredevdocs/docs/jwt-authentication). A second POST request results in a 409 error. Make a GET call to `/tokens/khorosaip/ownerId/{ownerId}` to check whether a token for the bot already exists.

# Related endpoints

| Action | Endpoint                                                                                                                     |
| ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| POST   | [/tokens/khorosapi/ownerId/{ownerId}](https://developer.khoros.com/khoroscaredevdocs/reference/tokenskhorosapiowneridownerid-post)<br />Generate a JWT token                      |
| PUT    | [/bots/v3/tokens/appId/{appId}](https://developer.khoros.com/khoroscaredevdocs/reference/tokensappid-put)<br />Refresh the JWT used to authenticate calls to the Bot v3 API       |
| DELETE | [/bots/v3/tokens/appId/{appId}](https://developer.khoros.com/khoroscaredevdocs/reference/tokensappid-delete)<br />Invalidate the JWT used to authenticate calls to the Bot v3 API |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "authentication-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/tokens",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/khorosapi/ownerId/{ownerId}": {
      "get": {
        "summary": "Return entity JWT status",
        "description": "Return whether a JWT exists for an entity",
        "operationId": "tokenskhorosapiowneridownerid-get",
        "parameters": [
          {
            "name": "ownerId",
            "in": "path",
            "description": "The owner of the token (this is the `appId` provided in the registration payload)",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": {\n        \"token\": \"<JWT>\",\n        \"expiresAtMillis: \": 1557163788687\n    }\n}\n\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "token": {
                          "type": "string",
                          "example": "<JWT>"
                        },
                        "expiresAtMillis: ": {
                          "type": "integer",
                          "example": 1557163788687,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -u username:password -XGET \\\n'https://your.response.instance.com/api/v2/tokens/khorosapi/ownerId/[OWNER ID]' \\\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```